Index: svn/src/devices/device.c
===================================================================
--- svn.orig/src/devices/device.c
+++ svn/src/devices/device.c
@@ -129,7 +129,7 @@ static void read_resources(struct bus *b
 {
 	struct device *curdev;
 
-	printk(BIOS_SPEW, "%s %s bus %x link: %d\n", dev_path(bus->dev), __func__,
+	printk(SPEW, "%s %s bus %x link: %d\n", dev_path(bus->dev), __func__,
 		    bus->secondary, bus->link);
 
 	/* Walk through all devices and find which resources they need. */
@@ -139,7 +139,7 @@ static void read_resources(struct bus *b
 			continue;
 		}
 		if (!curdev->ops || !curdev->ops->read_resources) {
-			printk(BIOS_ERR, "%s missing read_resources\n",
+			printk(ERROR, "%s missing read_resources\n",
 				   dev_path(curdev));
 			continue;
 		}
@@ -149,7 +149,7 @@ static void read_resources(struct bus *b
 		for (i = 0; i < curdev->links; i++)
 			read_resources(&curdev->link[i]);
 	}
-	printk(BIOS_SPEW, "%s read_resources bus %d link: %d done\n",
+	printk(SPEW, "%s read_resources bus %d link: %d done\n",
 		    dev_path(bus->dev), bus->secondary, bus->link);
 }
 
@@ -245,7 +245,7 @@ static void compute_resources(struct bus
 	resource_t base;
 	base = round(bridge->base, bridge->align);
 
-	printk(BIOS_SPEW,  "%s %s_%s: base: %llx size: %llx align: %d gran: %d limit: %llx\n",
+	printk(SPEW,  "%s %s_%s: base: %llx size: %llx align: %d gran: %d limit: %llx\n",
 	       dev_path(bus->dev), __func__,
 	       (type & IORESOURCE_IO) ? "io" : (type & IORESOURCE_PREFETCH) ?
 	       "prefmem" : "mem",
@@ -309,8 +309,8 @@ static void compute_resources(struct bus
 		/* Warn if it looks like APICs aren't declared. */
 		if ((resource->limit == 0xffffffff) &&
 		    (resource->flags & IORESOURCE_ASSIGNED)) {
-			printk(BIOS_ERR, "Resource limit looks wrong! (no APIC?)\n");
-			printk(BIOS_ERR, "%s %02lx limit %08Lx\n", dev_path(dev),
+			printk(ERROR, "Resource limit looks wrong! (no APIC?)\n");
+			printk(ERROR, "%s %02lx limit %08Lx\n", dev_path(dev),
 			           resource->index, resource->limit);
 		}
 
@@ -336,7 +336,7 @@ static void compute_resources(struct bus
 		resource->base = base;
 		base += resource->size;
 
-		printk(BIOS_SPEW, "%s %02lx *  [0x%llx - 0x%llx] %s\n",
+		printk(SPEW, "%s %02lx *  [0x%llx - 0x%llx] %s\n",
 			    dev_path(dev), resource->index,
 			    resource->base,
 			    resource->base + resource->size - 1,
@@ -353,7 +353,7 @@ static void compute_resources(struct bus
 	bridge->size = round(base, bridge->gran) -
 		       round(bridge->base, bridge->align);
 
-	printk(BIOS_SPEW, "%s %s_%s: base: %llx size: %llx align: %d gran: %d limit: %llx done\n",
+	printk(SPEW, "%s %s_%s: base: %llx size: %llx align: %d gran: %d limit: %llx done\n",
 		    dev_path(bus->dev), __func__,
 		    (bridge->flags & IORESOURCE_IO) ? "io" :
 		     (bridge->flags & IORESOURCE_PREFETCH) ?  "prefmem" : "mem",
@@ -402,7 +402,7 @@ static void allocate_resources(struct bu
 	resource_t base;
 	base = bridge->base;
 
-	printk(BIOS_SPEW, "%s %s_%s: base:%llx size:%llx align:%d gran:%d limit:%llx\n",
+	printk(SPEW, "%s %s_%s: base:%llx size:%llx align:%d gran:%d limit:%llx\n",
 	       dev_path(bus->dev), __func__,
 	       (type & IORESOURCE_IO) ? "io" : (type & IORESOURCE_PREFETCH) ?
 	       "prefmem" : "mem",
@@ -456,14 +456,14 @@ static void allocate_resources(struct bu
 			resource->flags &= ~IORESOURCE_STORED;
 			base += resource->size;
 		} else {
-			printk(BIOS_ERR, "!! Resource didn't fit !!\n");
-			printk(BIOS_ERR, "   aligned base %llx size %llx limit %llx\n",
+			printk(ERROR, "!! Resource didn't fit !!\n");
+			printk(ERROR, "   aligned base %llx size %llx limit %llx\n",
 			       round(base, resource->align), resource->size,
 			       resource->limit);
-			printk(BIOS_ERR, "   %llx needs to be <= %llx (limit)\n",
+			printk(ERROR, "   %llx needs to be <= %llx (limit)\n",
 			       (round(base, resource->align) +
 				resource->size) - 1, resource->limit);
-			printk(BIOS_ERR, "   %s%s %02lx *  [0x%llx - 0x%llx] %s\n",
+			printk(ERROR, "   %s%s %02lx *  [0x%llx - 0x%llx] %s\n",
 			       (resource->
 				flags & IORESOURCE_ASSIGNED) ? "Assigned: " :
 			       "", dev_path(dev), resource->index,
@@ -476,7 +476,7 @@ static void allocate_resources(struct bu
 			       ? "prefmem" : "mem");
 		}
 
-		printk(BIOS_SPEW, "%s%s %02lx *  [0x%llx - 0x%llx] %s\n",
+		printk(SPEW, "%s%s %02lx *  [0x%llx - 0x%llx] %s\n",
 		       (resource->flags & IORESOURCE_ASSIGNED) ? "Assigned: "
 		       : "",
 		       dev_path(dev), resource->index, resource->base,
@@ -494,7 +494,7 @@ static void allocate_resources(struct bu
 
 	bridge->flags |= IORESOURCE_ASSIGNED;
 
-	printk(BIOS_SPEW, "%s %s_%s: next_base: %llx size: %llx align: %d gran: %d done\n",
+	printk(SPEW, "%s %s_%s: next_base: %llx size: %llx align: %d gran: %d done\n",
 	       dev_path(bus->dev), __func__,
 	       (type & IORESOURCE_IO) ? "io" : (type & IORESOURCE_PREFETCH) ?
 	       "prefmem" : "mem",
@@ -553,7 +553,7 @@ static void constrain_resources(struct d
 	struct resource *lim;
 	int i;
 
-	printk(BIOS_SPEW, "%s: %s\n", __func__, dev_path(dev));
+	printk(SPEW, "%s: %s\n", __func__, dev_path(dev));
 
 	/* Constrain limits based on the fixed resources of this device. */
 	for (i = 0; i < dev->resources; i++) {
@@ -562,7 +562,7 @@ static void constrain_resources(struct d
 			continue;
 		if (!res->size) {
 			/* It makes no sense to have 0-sized, fixed resources.*/
-			printk(BIOS_ERR, "skipping %s@%lx fixed resource, size=0!\n",
+			printk(ERROR, "skipping %s@%lx fixed resource, size=0!\n",
 				   dev_path(dev), res->index);
 			continue;
 		}
@@ -606,7 +606,7 @@ static void avoid_fixed_resources(struct
 	struct resource *res;
 	int i;
 
-	printk(BIOS_SPEW, "%s: %s\n", __func__, dev_path(dev));
+	printk(SPEW, "%s: %s\n", __func__, dev_path(dev));
 	/* Initialize constraints to maximum size. */
 
 	limits.pref.base = 0;
@@ -621,7 +621,7 @@ static void avoid_fixed_resources(struct
 		res = &dev->resource[i];
 		if ((res->flags & IORESOURCE_FIXED))
 			continue;
-		printk(BIOS_SPEW, "%s:@%s %02lx limit %08Lx\n", __func__,
+		printk(SPEW, "%s:@%s %02lx limit %08Lx\n", __func__,
 			     dev_path(dev), res->index, res->limit);
 		if ((res->flags & MEM_MASK) == PREF_TYPE &&
 		    (res->limit < limits.pref.limit))
@@ -655,9 +655,9 @@ static void avoid_fixed_resources(struct
 		else
 			continue;
 
-		printk(BIOS_SPEW, "%s2: %s@%02lx limit %08Lx\n", __func__,
+		printk(SPEW, "%s2: %s@%02lx limit %08Lx\n", __func__,
 			     dev_path(dev), res->index, res->limit);
-		printk(BIOS_SPEW, "\tlim->base %08Lx lim->limit %08Lx\n",
+		printk(SPEW, "\tlim->base %08Lx lim->limit %08Lx\n",
 			     lim->base, lim->limit);
 
 		/* Is the resource outside the limits? */
@@ -726,7 +726,7 @@ static void set_vga_bridge_bits(void)
 
 	if (vga) {
 		/* VGA is first add on card or the only onboard VGA. */
-		printk(BIOS_DEBUG, "Setting up VGA for %s\n", dev_path(vga));
+		printk(DEBUG, "Setting up VGA for %s\n", dev_path(vga));
 		/* All legacy VGA cards have MEM & I/O space registers. */
 		vga->command |= (PCI_COMMAND_MEMORY | PCI_COMMAND_IO);
 		vga_pri = vga;
@@ -734,7 +734,7 @@ static void set_vga_bridge_bits(void)
 	}
 	/* Now walk up the bridges setting the VGA enable. */
 	while (bus) {
-		printk(BIOS_DEBUG, "Setting PCI_BRIDGE_CTL_VGA for bridge %s\n",
+		printk(DEBUG, "Setting PCI_BRIDGE_CTL_VGA for bridge %s\n",
 			     dev_path(bus->dev));
 		bus->bridge_ctrl |= PCI_BRIDGE_CTL_VGA;
 		bus = (bus == bus->dev->bus) ? 0 : bus->dev->bus;
@@ -760,7 +760,7 @@ void assign_resources(struct bus *bus)
 {
 	struct device *curdev;
 
-	printk(BIOS_SPEW, "%s assign_resources, bus %d link: %d\n",
+	printk(SPEW, "%s assign_resources, bus %d link: %d\n",
 		    dev_path(bus->dev), bus->secondary, bus->link);
 
 	for (curdev = bus->children; curdev; curdev = curdev->sibling) {
@@ -768,13 +768,13 @@ void assign_resources(struct bus *bus)
 			continue;
 		}
 		if (!curdev->ops || !curdev->ops->set_resources) {
-			printk(BIOS_ERR, "%s missing set_resources\n",
+			printk(ERROR, "%s missing set_resources\n",
 				   dev_path(curdev));
 			continue;
 		}
 		curdev->ops->set_resources(curdev);
 	}
-	printk(BIOS_SPEW, "%s assign_resources, bus %d link: %d\n",
+	printk(SPEW, "%s assign_resources, bus %d link: %d\n",
 		    dev_path(bus->dev), bus->secondary, bus->link);
 }
 
@@ -802,7 +802,7 @@ void enable_resources(struct device *dev
 		return;
 	}
 	if (!dev->ops || !dev->ops->enable_resources) {
-		printk(BIOS_ERR, "%s missing enable_resources\n", dev_path(dev));
+		printk(ERROR, "%s missing enable_resources\n", dev_path(dev));
 		return;
 	}
 	dev->ops->enable_resources(dev);
@@ -891,22 +891,22 @@ unsigned int scan_bus(struct device *bus
 void dev_enumerate(void)
 {
 	struct device *root;
-	printk(BIOS_INFO, "Enumerating buses...\n");
+	printk(INFO, "Enumerating buses...\n");
 	root = &dev_root;
 
-	show_all_devs(BIOS_SPEW, "Before Device Enumeration.");
-	printk(BIOS_SPEW, "Compare with tree...\n");
-	show_devs_tree(root, BIOS_SPEW, 0, 0);
+	show_all_devs(SPEW, "Before Device Enumeration.");
+	printk(SPEW, "Compare with tree...\n");
+	show_devs_tree(root, SPEW, 0, 0);
 
 	if (root->chip_ops && root->chip_ops->enable_dev) {
 		root->chip_ops->enable_dev(root);
 	}
 	if (!root->ops || !root->ops->scan_bus) {
-		printk(BIOS_ERR, "dev_root missing scan_bus operation");
+		printk(ERROR, "dev_root missing scan_bus operation");
 		return;
 	}
 	scan_bus(root, 0);
-	printk(BIOS_INFO, "done\n");
+	printk(INFO, "done\n");
 }
 
 /**
@@ -933,7 +933,7 @@ void dev_configure(void)
 	set_vga_bridge_bits();
 #endif
 
-	printk(BIOS_INFO, "Allocating resources...\n");
+	printk(INFO, "Allocating resources...\n");
 
 	root = &dev_root;
 
@@ -944,11 +944,11 @@ void dev_configure(void)
 
 	/* Read the resources for the entire tree. */
 
-	printk(BIOS_INFO, "Reading resources...\n");
+	printk(INFO, "Reading resources...\n");
 	read_resources(&root->link[0]);
-	printk(BIOS_INFO, "Done reading resources.\n");
+	printk(INFO, "Done reading resources.\n");
 
-	print_resource_tree(root, BIOS_SPEW, "After reading.");
+	print_resource_tree(root, SPEW, "After reading.");
 
 	/* Compute resources for all domains. */
 	for (child = root->link[0].children; child; child = child->sibling) {
@@ -997,7 +997,7 @@ void dev_configure(void)
 	}
 
 	/* Store the computed resource allocations into device registers ... */
-	printk(BIOS_INFO, "Setting resources...\n");
+	printk(INFO, "Setting resources...\n");
 	for (child = root->link[0].children; child; child = child->sibling) {
 		if (!(child->path.type == DEVICE_PATH_PCI_DOMAIN))
 			continue;
@@ -1023,10 +1023,10 @@ void dev_configure(void)
 		}
 	}
 	assign_resources(&root->link[0]);
-	printk(BIOS_INFO, "Done setting resources.\n");
-	print_resource_tree(root, BIOS_SPEW, "After assigning values.");
+	printk(INFO, "Done setting resources.\n");
+	print_resource_tree(root, SPEW, "After assigning values.");
 
-	printk(BIOS_INFO, "Done allocating resources.\n");
+	printk(INFO, "Done allocating resources.\n");
 }
 
 /**
@@ -1037,12 +1037,12 @@ void dev_configure(void)
  */
 void dev_enable(void)
 {
-	printk(BIOS_INFO, "Enabling resources...\n");
+	printk(INFO, "Enabling resources...\n");
 
 	/* now enable everything. */
 	enable_resources(&dev_root);
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 }
 
 /**
@@ -1056,20 +1056,20 @@ void dev_initialize(void)
 {
 	struct device *dev;
 
-	printk(BIOS_INFO, "Initializing devices...\n");
+	printk(INFO, "Initializing devices...\n");
 	for (dev = all_devices; dev; dev = dev->next) {
 		if (dev->enabled && !dev->initialized &&
 		    dev->ops && dev->ops->init) {
 			if (dev->path.type == DEVICE_PATH_I2C) {
-				printk(BIOS_DEBUG, "smbus: %s[%d]->",
+				printk(DEBUG, "smbus: %s[%d]->",
 					     dev_path(dev->bus->dev),
 					     dev->bus->link);
 			}
-			printk(BIOS_DEBUG, "%s init\n", dev_path(dev));
+			printk(DEBUG, "%s init\n", dev_path(dev));
 			dev->initialized = 1;
 			dev->ops->init(dev);
 		}
 	}
-	printk(BIOS_INFO, "Devices initialized\n");
-	show_all_devs(BIOS_SPEW, "After init.");
+	printk(INFO, "Devices initialized\n");
+	show_all_devs(SPEW, "After init.");
 }
Index: svn/src/devices/device_util.c
===================================================================
--- svn.orig/src/devices/device_util.c
+++ svn/src/devices/device_util.c
@@ -203,7 +203,7 @@ const char *dev_path(device_t dev)
 			sprintf(buffer, "CPU_BUS: %02x", dev->path.cpu_bus.id);
 			break;
 		default:
-			printk(BIOS_ERR, "Unknown device path type: %d\n", dev->path.type);
+			printk(ERROR, "Unknown device path type: %d\n", dev->path.type);
 			break;
 		}
 	}
@@ -253,7 +253,7 @@ int path_eq(struct device_path *path1, s
 			equal = (path1->cpu_bus.id == path2->cpu_bus.id);
 			break;
 		default:
-			printk(BIOS_ERR, "Uknown device type: %d\n", path1->type);
+			printk(ERROR, "Uknown device type: %d\n", path1->type);
 			break;
 		}
 	}
@@ -355,7 +355,7 @@ struct resource *find_resource(device_t 
 	/* See if there is a resource with the appropriate index */
 	resource = probe_resource(dev, index);
 	if (!resource) {
-		printk(BIOS_ERR, "%s missing resource: %02x\n",
+		printk(ERROR, "%s missing resource: %02x\n",
 			dev_path(dev), index);
 		die("");
 	}
@@ -468,7 +468,7 @@ void report_resource_stored(device_t dev
 			sprintf(buf, "bus %02x ", dev->link[0].secondary);
 #endif
 		}
-		printk(BIOS_DEBUG, 
+		printk(DEBUG,
 			"%s %02lx <- [0x%010Lx - 0x%010Lx] size 0x%08Lx gran 0x%02x %s%s%s\n",
 			dev_path(dev),
 			resource->index,
@@ -567,12 +567,12 @@ static void resource_tree(struct device 
 		indent[i] = ' ';
 	indent[i] = '\0';
 
-	do_printk(BIOS_DEBUG, "%s%s links %x child on link 0", indent,
+	do_printk(DEBUG, "%s%s links %x child on link 0", indent,
 		  dev_path(root), root->links);
-	do_printk(BIOS_DEBUG, " %s\n", root->link[0].children ?
+	do_printk(DEBUG, " %s\n", root->link[0].children ?
 		  dev_path(root->link[0].children) : "NULL");
 	for (i = 0; i < root->resources; i++) {
-		do_printk(BIOS_DEBUG,
+		do_printk(DEBUG,
 			  "%s%s resource base %llx size %llx align %d gran %d limit %llx flags %lx index %lx\n",
 			  indent, dev_path(root), root->resource[i].base,
 			  root->resource[i].size, root->resource[i].align,
Index: svn/src/devices/hypertransport.c
===================================================================
--- svn.orig/src/devices/hypertransport.c
+++ svn/src/devices/hypertransport.c
@@ -192,11 +192,11 @@ static int ht_setup_link(struct ht_link 
 		unsigned new_freq;
 		pci_write_config8(cur->dev, cur->pos + cur->freq_off, freq);
 		reset_needed = 1;
-		printk(BIOS_SPEW, "HyperT FreqP old %x new %x\n",old_freq,freq);
+		printk(SPEW, "HyperT FreqP old %x new %x\n",old_freq,freq);
 		new_freq = pci_read_config8(cur->dev, cur->pos + cur->freq_off);
 		new_freq &= 0x0f;
 		if (new_freq != freq) {
-			printk(BIOS_ERR, "%s Hypertransport frequency would not set wanted: %x got: %x\n",
+			printk(ERROR, "%s Hypertransport frequency would not set wanted: %x got: %x\n",
 				dev_path(dev), freq, new_freq);
 		}
 	}
@@ -206,10 +206,10 @@ static int ht_setup_link(struct ht_link 
 		pci_write_config8(cur->dev, cur->pos + cur->config_off + 1,
 			present_width);
 		reset_needed = 1;
-		printk(BIOS_SPEW, "HyperT widthP old %x new %x\n",old_width, present_width);
+		printk(SPEW, "HyperT widthP old %x new %x\n",old_width, present_width);
 		new_width = pci_read_config8(cur->dev, cur->pos + cur->config_off + 1);
 		if (new_width != present_width) {
-			printk(BIOS_ERR, "%s Hypertransport width would not set wanted: %x got: %x\n",
+			printk(ERROR, "%s Hypertransport width would not set wanted: %x got: %x\n",
 				dev_path(dev), present_width, new_width);
 		}
 	}
@@ -221,11 +221,11 @@ static int ht_setup_link(struct ht_link 
 		unsigned new_freq;
 		pci_write_config8(prev->dev, prev->pos + prev->freq_off, freq);
 		reset_needed = 1;
-		printk(BIOS_SPEW, "HyperT freqU old %x new %x\n", old_freq, freq);
+		printk(SPEW, "HyperT freqU old %x new %x\n", old_freq, freq);
 		new_freq = pci_read_config8(prev->dev, prev->pos + prev->freq_off);
 		new_freq &= 0x0f;
 		if (new_freq != freq) {
-			printk(BIOS_ERR, "%s Hypertransport frequency would not set wanted: %x got: %x\n",
+			printk(ERROR, "%s Hypertransport frequency would not set wanted: %x got: %x\n",
 				dev_path(prev->dev), freq, new_freq);
 		}
 	}
@@ -234,10 +234,10 @@ static int ht_setup_link(struct ht_link 
 		unsigned new_width;
 		pci_write_config8(prev->dev, prev->pos + prev->config_off + 1, upstream_width);
 		reset_needed = 1;
-		printk(BIOS_SPEW, "HyperT widthU old %x new %x\n", old_width, upstream_width);
+		printk(SPEW, "HyperT widthU old %x new %x\n", old_width, upstream_width);
 		new_width = pci_read_config8(prev->dev, prev->pos + prev->config_off + 1);
 		if (new_width != upstream_width) {
-			printk(BIOS_ERR, "%s Hypertransport width would not set wanted: %x got: %x\n",
+			printk(ERROR, "%s Hypertransport width would not set wanted: %x got: %x\n",
 				dev_path(prev->dev), upstream_width, new_width);
 		}
 	}
@@ -273,7 +273,7 @@ static unsigned ht_lookup_slave_capabili
 		if (pos) {
 			unsigned flags;
 			flags = pci_read_config16(dev, pos + PCI_CAP_FLAGS);
-			printk(BIOS_SPEW, "flags: 0x%04x\n", flags);
+			printk(SPEW, "flags: 0x%04x\n", flags);
 			if ((flags >> 13) == 0) {
 				/* Entry is a Slave secondary, success... */
 				break;
@@ -317,7 +317,7 @@ static void ht_collapse_early_enumeratio
 			pci_write_config16(prev.dev, prev.pos + prev.ctrl_off, ctrl);
 			ctrl = pci_read_config16(prev.dev, prev.pos + prev.ctrl_off);
 			if (ctrl & ((1 << 4) | (1 << 8))) {
-				printk(BIOS_ERR, "Detected error on Hypertransport Link\n");
+				printk(ERROR, "Detected error on Hypertransport Link\n");
 				return;
 			}
 		}
@@ -371,7 +371,7 @@ static void ht_collapse_early_enumeratio
 		flags = pci_read_config16(&dummy, pos + PCI_CAP_FLAGS);
 		flags &= ~0x1f;
 		pci_write_config16(&dummy, pos + PCI_CAP_FLAGS, flags);
-		printk(BIOS_SPEW, "Collapsing %s [%04x/%04x]\n", 
+		printk(SPEW, "Collapsing %s [%04x/%04x]\n",
 			dev_path(&dummy), dummy.vendor, dummy.device);
 	}
 }
@@ -441,7 +441,7 @@ unsigned int hypertransport_scan_chain(s
 				pci_write_config16(prev.dev, prev.pos + prev.ctrl_off, ctrl);
 				ctrl = pci_read_config16(prev.dev, prev.pos + prev.ctrl_off);
 				if (ctrl & ((1 << 4) | (1 << 8))) {
-					printk(BIOS_ERR, "Detected error on Hypertransport Link\n");
+					printk(ERROR, "Detected error on Hypertransport Link\n");
 					goto end_of_chain;
 				}
 			}
@@ -462,7 +462,7 @@ unsigned int hypertransport_scan_chain(s
 		/* Find the hypertransport link capability */
 		pos = ht_lookup_slave_capability(dev);
 		if (pos == 0) {
-			printk(BIOS_ERR, "%s Hypertransport link capability not found", 
+			printk(ERROR, "%s Hypertransport link capability not found",
 				dev_path(dev));
 			break;
 		}
@@ -507,7 +507,7 @@ unsigned int hypertransport_scan_chain(s
 			last_func = func;
 		}
 		/* Compute the number of unitids consumed */
-		printk(BIOS_SPEW, "%s count: %04x static_count: %04x\n", 
+		printk(SPEW, "%s count: %04x static_count: %04x\n",
 			dev_path(dev), count, static_count);
 		if (count < static_count) {
 			count = static_count;
@@ -532,7 +532,7 @@ unsigned int hypertransport_scan_chain(s
 		/* Setup the hypetransport link */
 		bus->reset_needed |= ht_setup_link(&prev, dev, pos);
 
-		printk(BIOS_DEBUG, "%s [%04x/%04x] %s next_unitid: %04x\n",
+		printk(DEBUG, "%s [%04x/%04x] %s next_unitid: %04x\n",
 			dev_path(dev),
 			dev->vendor, dev->device, 
 			(dev->enabled? "enabled": "disabled"), next_unitid);
@@ -541,10 +541,10 @@ unsigned int hypertransport_scan_chain(s
  end_of_chain:
 #if OPT_HT_LINK == 1
 	if(bus->reset_needed) {
-		printk(BIOS_INFO, "HyperT reset needed\n");
+		printk(INFO, "HyperT reset needed\n");
 	}
 	else {
-		printk(BIOS_DEBUG, "HyperT reset not needed\n");
+		printk(DEBUG, "HyperT reset not needed\n");
 	}
 #endif
 
@@ -563,7 +563,7 @@ unsigned int hypertransport_scan_chain(s
 
 		ht_unitid_base[ht_dev_num-1] = CONFIG_HT_CHAIN_END_UNITID_BASE; // update last one
 		
-		printk(BIOS_DEBUG, " unitid: %04x --> %04x\n",
+		printk(DEBUG, " unitid: %04x --> %04x\n",
 				real_last_unitid, CONFIG_HT_CHAIN_END_UNITID_BASE);
 
         }
@@ -583,9 +583,9 @@ unsigned int hypertransport_scan_chain(s
 	if(old_devices) {
 		device_t left;
 		for(left = old_devices; left; left = left->sibling) {
-			printk(BIOS_DEBUG, "%s\n", dev_path(left));
+			printk(DEBUG, "%s\n", dev_path(left));
 		}
-		printk(BIOS_ERR, "HT: Left over static devices.  Check your Config.lb\n");
+		printk(ERROR, "HT: Left over static devices.  Check your Config.lb\n");
 		if(last_func  && !last_func->sibling) // put back the left over static device, and let pci_scan_bus disable it
 			last_func->sibling = old_devices; 
 	}
Index: svn/src/devices/oprom/x86.c
===================================================================
--- svn.orig/src/devices/oprom/x86.c
+++ svn/src/devices/oprom/x86.c
@@ -44,7 +44,7 @@ int (*intXX_handler[256])(struct eregs *
 
 static int intXX_exception_handler(struct eregs *regs)
 {
-	printk(BIOS_INFO, "Oops, exception %d while executing option rom\n", 
+	printk(INFO, "Oops, exception %d while executing option rom\n",
 			regs->vector);
 	x86_exception(regs);	// Call coreboot exception handler 
 
@@ -53,7 +53,7 @@ static int intXX_exception_handler(struc
 
 static int intXX_unknown_handler(struct eregs *regs)
 {
-	printk(BIOS_INFO, "Unsupported software interrupt #0x%x\n", 
+	printk(INFO, "Unsupported software interrupt #0x%x\n",
 			regs->vector);
 
 	return -1;
@@ -152,12 +152,12 @@ void run_bios(struct device *dev, unsign
 	setup_realmode_idt();
 
 	memcpy(REALMODE_BASE, &__realmode_code, (size_t)&__realmode_code_size);
-	printk(BIOS_SPEW, "Real mode stub @%p: %d bytes\n", REALMODE_BASE,
+	printk(SPEW, "Real mode stub @%p: %d bytes\n", REALMODE_BASE,
 			(u32)&__realmode_code_size);
 
-	printk(BIOS_DEBUG, "Calling Option ROM...\n");
+	printk(DEBUG, "Calling Option ROM...\n");
 	run_optionrom((dev->bus->secondary << 8) | dev->path.pci.devfn);
-	printk(BIOS_DEBUG, "... Option ROM returned.\n");
+	printk(DEBUG, "... Option ROM returned.\n");
 }
 
 int __attribute__((regparm(0))) interrupt_handler(u32 intnumber,
@@ -186,12 +186,12 @@ int __attribute__((regparm(0))) interrup
 	cs = cs_ip >> 16;
 	flags = stackflags;
 
-	printk(BIOS_DEBUG, "oprom: INT# 0x%x\n", intnumber);
-	printk(BIOS_DEBUG, "oprom: eax: %08x ebx: %08x ecx: %08x edx: %08x\n",
+	printk(DEBUG, "oprom: INT# 0x%x\n", intnumber);
+	printk(DEBUG, "oprom: eax: %08x ebx: %08x ecx: %08x edx: %08x\n",
 		      eax, ebx, ecx, edx);
-	printk(BIOS_DEBUG, "oprom: ebp: %08x esp: %08x edi: %08x esi: %08x\n",
+	printk(DEBUG, "oprom: ebp: %08x esp: %08x edi: %08x esi: %08x\n",
 		     ebp, esp, edi, esi);
-	printk(BIOS_DEBUG, "oprom:  ip: %04x      cs: %04x   flags: %08x\n",
+	printk(DEBUG, "oprom:  ip: %04x      cs: %04x   flags: %08x\n",
 		     ip, cs, flags);
 
 	// Fetch arguments from the stack and put them into
@@ -232,7 +232,7 @@ int __attribute__((regparm(0))) interrup
 
 	/* Pass errors back to our caller via the CARRY flag */
 	if (ret) {
-		printk(BIOS_DEBUG,"error!\n");
+		printk(DEBUG,"error!\n");
 		flags |= 1;  // error: set carry
 	}else{
 		flags &= ~1; // no error: clear carry
Index: svn/src/devices/oprom/x86_interrupts.c
===================================================================
--- svn.orig/src/devices/oprom/x86_interrupts.c
+++ svn/src/devices/oprom/x86_interrupts.c
@@ -94,7 +94,7 @@ int int1a_handler(struct eregs *regs)
 			// devfn is an int, so we mask it off.
 			busdevfn = (dev->bus->secondary << 8)
 			    | (dev->path.pci.devfn & 0xff);
-			printk(BIOS_DEBUG, "0x%x: return 0x%x\n", func, busdevfn);
+			printk(DEBUG, "0x%x: return 0x%x\n", func, busdevfn);
 			regs->ebx = busdevfn;
 			retval = 0;
 		} else {
@@ -113,7 +113,7 @@ int int1a_handler(struct eregs *regs)
 		reg = regs->edi;
 		dev = dev_find_slot(bus, devfn);
 		if (!dev) {
-			printk(BIOS_DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n", func, bus, devfn);
+			printk(DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n", func, bus, devfn);
 			// idiots. the pcibios guys assumed you'd never pass a bad bus/devfn!
 			regs->eax = PCIBIOS_BADREG;
 			retval = -1;
@@ -146,13 +146,13 @@ int int1a_handler(struct eregs *regs)
 			break;
 		}
 
-		printk(BIOS_DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%x\n",
+		printk(DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%x\n",
 			     func, bus, devfn, reg, regs->ecx);
 		regs->eax = 0;
 		retval = 0;
 		break;
 	default:
-		printk(BIOS_ERR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n", func);
+		printk(ERROR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n", func);
 		retval = -1;
 		break;
 	}
@@ -215,11 +215,11 @@ int int15_handler(struct eregs *regs)
 	case 0x5f40:
 		regs->eax = 0x5f;
 		regs->ecx = 3; // This is mainboard specific
-		printk(BIOS_DEBUG, "DISPLAY=%x\n", regs->ecx);
+		printk(DEBUG, "DISPLAY=%x\n", regs->ecx);
 		res = 0;
 		break;
 	default:
-		printk(BIOS_DEBUG, "Unknown INT15 function %04x!\n", 
+		printk(DEBUG, "Unknown INT15 function %04x!\n",
 				regs->eax & 0xffff);
 	}
 
Index: svn/src/devices/oprom/x86emu/debug.h
===================================================================
--- svn.orig/src/devices/oprom/x86emu/debug.h
+++ svn/src/devices/oprom/x86emu/debug.h
@@ -44,7 +44,7 @@
 
 #ifdef CONFIG_DEFAULT_CONSOLE_LOGLEVEL
 /* printf is not available in coreboot... use printk */
-#define printf(x...) printk(BIOS_DEBUG, x)
+#define printf(x...) printk(DEBUG, x)
 #endif
 
 /* checks to be enabled for "runtime" */
Index: svn/src/devices/oprom/yabel/debug.h
===================================================================
--- svn.orig/src/devices/oprom/yabel/debug.h
+++ svn/src/devices/oprom/yabel/debug.h
@@ -22,7 +22,7 @@ extern void x86emu_dump_xregs(void);
 /* printf is not available in coreboot... use printk */
 #include <console/console.h>
 #include "x86emu/x86emu.h"
-#define printf(x...) printk(BIOS_DEBUG, x)
+#define printf(x...) printk(DEBUG, x)
 
 /* PH: empty versions of set/clr_ci
  * TODO: remove! */
